Skip to main content
GET
List signature requests

Authorizations

Authorization
string
header
required

Cognito-issued JWT access token. Send it as Authorization: Bearer <token>.

Query Parameters

limit
integer
default:100

The number of items to return per page (default 100).

Required range: x >= 1
cursor
string

The cursor for fetching the next page of results.

owner
string
required

The client group to list signature requests for.

completed
boolean

If empty, all matching results are returned. If true, only items with completedAt set are returned. If false, only items with completedAt equal to null are returned.

pending
boolean

If empty, both pending and non-pending results are returned. If true, only pending results are returned. If false, only non-pending results are returned.

notaryRequired
boolean

Whether to return documents requiring a notary (true) or just a signature (false). If empty, both types are returned.

orderBy
enum<string>
default:id

The column to order the results by. Defaults to id.

Available options:
id,
createdOn,
document.matterReference,
document.preparedBy,
document.preparedOn,
document.firmId
orderDirection
enum<string>
default:asc

The direction to order the results by.

Available options:
asc,
desc
filter
object

One or more columns and their values on which to filter results.

Response

A paginated list of signature requests.

signatureRequests
object[]
pagination
object